/*
 * Created on 2005. 5. 4.
 */
package net.javajigi.security.dao;

import java.util.List;

import net.javajigi.security.model.User;

/**
 * @author Administrator
 */
public interface UserDAO {
	public void addUser(User newUser);
    
    public void updateUser(User newUser);
    
    public void removeUser(String userId);
    
    public User findUser(String userId);
    
    public List findUserList(); 
}
